import * as React from 'react';
import classnames from 'classnames';
import { Row, Col } from 'react-bootstrap'

import Box from '@mui/material/Box';
import ToggleButton from '@mui/material/ToggleButton';
import ToggleButtonGroup from '@mui/material/ToggleButtonGroup';

import ViewListIcon from '@mui/icons-material/ViewList';
import ViewModuleIcon from '@mui/icons-material/ViewModule';
    
let data = [{
    nombre : 'Nombre puesto',
    description : 'MingMecca',
    salario :  'Q 10,000',

}]

for( let _ of new Array(10) ){
    data.push(data[0])
}

function ListMode() {

    let actions = [
        <a href="#" className="ver_producto" data-toggle="modal" data-target="#verProducto">Ver</a>,
        <a href="#" className="editar_producto" data-toggle="modal" data-target="#editarProducto">Editar</a>,
        <a href="#" className="eliminar_producto" data-toggle="modal" data-target="#deleteProducto">Eliminar</a>,
    ]

    return(
        <Col md="12">
            <div className="body-table">
                <table id="tablaproductos" className="display" style={{ width : "100%" }}>
                    <thead>
                        <tr>
                            <th>Nombre de la plaza</th>
                            <th>Descripción</th>
                            <th>Salario</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>

                        {
                            data.length ? 
                                data.map( plaza => {
                                    return (
                                        <tr>
                                            <td>{ plaza.nombre }</td>
                                            <td>{ plaza.description }</td>
                                            <td>{ plaza.salario }</td>
                                            <td className="actions_butons_plaza"> { actions } </td>
                                        </tr>
                                    )
                                }) : undefined
                        }

                    </tbody>
                    <tfoot>
                        <tr>
                            <th>Nombre de la plaza</th>
                            <th>Descripción</th>
                            <th>Salario</th>
                            <th>Acciones</th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </Col>
    )
}


function ModuleMode () {
    return(
        <React.Fragment> 
            {
                data.length ? 
                    <div className="col-md-3">
                        <div className="panel">
                            <div className="row">
                                <div className="col-md-4">
                                    <div className="img-container">
                                        <img src="images/not_found.png"/>
                                    </div>
                                </div>
                                <div className="col-md-8">
                                    <div className="info_details">
                                        <p>Nombre de la plaza</p>
                                        <p>Descripción</p>
                                        <p>Salario</p>
                                        <div className="botones_interactivos">
                                            <a href="#" tooltip-location="top" tooltip-animate tooltip="Ver plaza" data-toggle="modal" data-target="#verProducto"><i className="far fa-eye"></i></a>
                                        </div>
                                        <div className="botones_interactivos">
                                            <a href="#" tooltip-location="top" tooltip-animate tooltip="Editar plaza" data-toggle="modal" data-target="#editarProducto"><i className="far fa-edit"></i></a>
                                        </div>
                                        <div className="botones_interactivos">
                                            <a href="#" tooltip-location="top" tooltip-animate tooltip="Eliminar plaza" data-toggle="modal" data-target="#deleteProducto"><i className="far fa-times-circle"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    : undefined
            }
        </React.Fragment>
    )
}

export function Puestos() {

    const [alignment, setAlignment] = React.useState('left');

    const handleChange = (event, newAlignment) => setAlignment(newAlignment);

    const children = [
        <ToggleButton value="list" key="list">
            <ViewListIcon />
        </ToggleButton>,
        <ToggleButton value="grid" key="grid">
            <ViewModuleIcon/>
        </ToggleButton>,
    ];

    const control = {
        value: alignment,
        onChange: handleChange,
        exclusive: true,
    };

    return (
        <div className="content-section">
            <div className="main">
                <Row>
                    <Col md="6">
                        <div className="breadcrumb-header">
                            <Box sx={{ float : 'left',display: 'flex', flexDirection: 'column', alignItems: 'center', '& > :not(style) + :not(style)': { mt: 2 }, }} >
                                <ToggleButtonGroup size="small" {...control}>
                                    {children}
                                </ToggleButtonGroup>
                            </Box>
                        </div>
                    </Col>
                    <Col md="6">
                        <div className="add_producto">
                            <div className="btn_add_producto">
                                <a href="#" data-toggle="modal" data-target="#addProducto">Agregar manual</a>
                            </div>
                        </div>
                        <div className="add_producto">
                            <div className="btn_add_producto">
                                <a href="#" data-toggle="modal" data-target="#addProductoExpress">Agregar express</a>
                            </div>
                        </div>
                    </Col>
                </Row>
                <div className={`main_productos ${ alignment === 'grid' ? 'activar_vista' : 'desactivar_vista'  }`} id="grid_view">
                    <Row>
                        <ModuleMode/>
                    </Row>
                </div>
                <div className={`main_list_products ${alignment === 'list' ?  'activar_vista' : 'desactivar_vista'}`} id="list_view_products">
                    <Row>
                        <ListMode/>
                    </Row>
                </div>
            </div>
        </div>
    )
}
